summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael E Brown <michael_e_brown@dell.com>2007-12-03 11:27:36 -0600
committerMichael E Brown <michael_e_brown@dell.com>2007-12-03 11:27:36 -0600
commit176a1af30856c5ce2ae59d891cf058b7161d8a55 (patch)
tree144edaa8d21aced6d56f2113718d19ab8943b80b
parent62a258a6023d00bcdf8b3bdcd823005f32966533 (diff)
downloadmock-176a1af30856c5ce2ae59d891cf058b7161d8a55.tar.gz
mock-176a1af30856c5ce2ae59d891cf058b7161d8a55.tar.xz
mock-176a1af30856c5ce2ae59d891cf058b7161d8a55.zip
fixup accidental exit 1 when test actually succeeded.
-rwxr-xr-xdocs/releasetests.sh16
1 files changed, 12 insertions, 4 deletions
diff --git a/docs/releasetests.sh b/docs/releasetests.sh
index ec9ccae..1e2f173 100755
--- a/docs/releasetests.sh
+++ b/docs/releasetests.sh
@@ -44,11 +44,17 @@ time $MOCKCMD --offline --rebuild mock-*.src.rpm
#
# Test orphanskill feature
#
-(pgrep daemontest && echo "Exiting because there is already a daemontest running." && exit 1) || :
+if pgrep daemontest; then
+ echo "Exiting because there is already a daemontest running."
+ exit 1
+fi
time $MOCKCMD --offline --init
cp src/daemontest $CHROOT/tmp
time $MOCKCMD --offline --chroot -- /tmp/daemontest
-(pgrep daemontest && echo "Daemontest FAILED. found a daemontest process running after exit." && exit 1) || :
+if pgrep daemontest; then
+ echo "Daemontest FAILED. found a daemontest process running after exit."
+ exit 1
+fi
#
# test init/clean
@@ -56,7 +62,8 @@ time $MOCKCMD --offline --chroot -- /tmp/daemontest
time $MOCKCMD --offline --clean
time $MOCKCMD --offline --init
time $MOCKCMD --offline --install ccache
-[ -e $CHROOT/usr/bin/ccache ] || echo "init/clean test FAILED. ccache not found." && exit 1
+[ -e $CHROOT/usr/bin/ccache ] || echo "init/clean test FAILED. ccache not found."
+[ -e $CHROOT/usr/bin/ccache ] || exit 1
#
# test old-style cmdline options
@@ -64,7 +71,8 @@ time $MOCKCMD --offline --install ccache
time $MOCKCMD --offline clean
time $MOCKCMD --offline init
time $MOCKCMD --offline install ccache
-[ -e $CHROOT/usr/bin/ccache ] || echo "init/clean test FAILED. ccache not found." && exit 1
+[ -e $CHROOT/usr/bin/ccache ] || echo "init/clean test FAILED. ccache not found."
+[ -e $CHROOT/usr/bin/ccache ] || exit 1
#
# Test build all configs we ship.